## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# FormatterToNull Class Reference

This class takes SAX events (in addition to some extra events that SAX doesn't handle yet) and produces absolutely nothing. More...

Inheritance diagram for FormatterToNull:

[legend]
Collaboration diagram for FormatterToNull:

[legend]
List of all members.

## Public Member Functions

- FormatterToNull ()
    FormatterToNull instance constructor.
- virtual ~FormatterToNull ()
- virtual void setDocumentLocator (const LocatorType *const locator)
- virtual void startDocument ()
- virtual void endDocument ()
- virtual void startElement (const XMLCh *const name, AttributeListType &attrs)
- virtual void endElement (const XMLCh *const name)
- virtual void characters (const XMLCh *const chars, const unsigned int length)
- virtual void charactersRaw (const XMLCh *const chars, const unsigned int length)
- virtual void entityReference (const XMLCh *const name)
    Receive notification of a entityReference.
- virtual void ignorableWhitespace (const XMLCh *const chars, const unsigned int length)
- virtual void processingInstruction (const XMLCh *const target, const XMLCh *const data)
- virtual void resetDocument ()
- virtual void comment (const XMLCh *const data)
    Called when a Comment is to be constructed.
- virtual void cdata (const XMLCh *const ch, const unsigned int length)

## Detailed Description

This class takes SAX events (in addition to some extra events that SAX doesn't handle yet) and produces absolutely nothing.

This is useful for profiling situations where serialization obscures things.

## Constructor & Destructor Documentation

FormatterToNull::FormatterToNull | ( |  | ) | `[explicit]`

| FormatterToNull instance constructor.

virtual FormatterToNull::~FormatterToNull | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void FormatterToNull::cdata | ( | const XMLCh *const | ch,
|  | const unsigned int | length
| ) | `[virtual]`

virtual void FormatterToNull::characters | ( | const XMLCh *const | chars,
|  | const unsigned int | length
| ) | `[virtual]`

virtual void FormatterToNull::charactersRaw | ( | const XMLCh *const | chars,
|  | const unsigned int | length
| ) | `[virtual]`

virtual void FormatterToNull::comment | ( | const XMLCh *const | data | ) | `[virtual]`

Called when a Comment is to be constructed.

Parameters:

  data | pointer to comment data

Exceptions:

  SAXException |

Implements FormatterListener.

virtual void FormatterToNull::endDocument | ( |  | ) | `[virtual]`

| Implements FormatterListener.

virtual void FormatterToNull::endElement | ( | const XMLCh *const | name | ) | `[virtual]`

| Implements FormatterListener.

virtual void FormatterToNull::entityReference | ( | const XMLCh *const | name | ) | `[virtual]`

Receive notification of a entityReference.

Parameters:

  data | pointer to characters from the XML document

Exceptions:

  SAXException |

Implements FormatterListener.

virtual void FormatterToNull::ignorableWhitespace | ( | const XMLCh *const | chars,
|  | const unsigned int | length
| ) | `[virtual]`

virtual void FormatterToNull::processingInstruction | ( | const XMLCh *const | target,
|  | const XMLCh *const | data
| ) | `[virtual]`

| Implements FormatterListener.

virtual void FormatterToNull::resetDocument | ( |  | ) | `[virtual]`

| Implements FormatterListener.

virtual void FormatterToNull::setDocumentLocator | ( | const LocatorType *const | locator | ) | `[virtual]`

| Implements FormatterListener.

virtual void FormatterToNull::startDocument | ( |  | ) | `[virtual]`

| Implements FormatterListener.

virtual void FormatterToNull::startElement | ( | const XMLCh *const | name,
|  | AttributeListType & | attrs
| ) | `[virtual]`

| Implements FormatterListener.

The documentation for this class was generated from the following file:

- FormatterToNull.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.